/*-
 * ~~~~~~licensing~~~~~~
 * profile-management
 * ==========
 * Copyright (C) 2020 - 2025 EmDev LLC
 * ==========
 * You may not use this file except in accordance with the License Terms of the Copyright
 * Holder located at: https://entaxy.ru/eula . All copyrights, all intellectual property
 * rights to the Software and any copies are the property of the Copyright Holder. Unless
 * it is explicitly allowed the Copyright Holder, the User is prohibited from using the
 * Software for commercial purposes to provide services to third parties.
 * 
 * The Copyright Holder hereby declares that the Software is provided on an "AS IS".
 * Under no circumstances does the Copyright Holder guarantee or promise that the
 * Software provided by him will be suitable or not suitable for the specific purposes
 * of the User, that the Software will meet all commercial and personal subjective
 * expectations of the User, that the Software will work properly, without technical
 * errors, quickly and uninterruptedly.
 * 
 * Under no circumstances shall the Copyright Holder or its Affiliates is not liable
 * to the User for any direct or indirect losses of the User, his expenses or actual
 * damage, including, downtime; loss of bussines; lost profit; lost earnings; loss
 * or damage to data, property, etc.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.management.profile.support.legacy;

import ru.entaxy.esb.platform.base.management.core.utils.BundleAwareManagedObjectImpl;

public class ManagedLegacyConnector extends BundleAwareManagedObjectImpl {

	protected String system;

	protected String name;
	
	protected String registeredName;
	
	protected String factoryId;

	protected String classifier;

	protected String displayName;

	protected String direction;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public ManagedLegacyConnector name(String name) {
		setName(name);
		return this;
	}
	
	public String getSystem() {
		return system;
	}

	public void setSystem(String system) {
		this.system = system;
	}

	public ManagedLegacyConnector system(String system) {
		setSystem(system);
		return this;
	}

	public String getFactoryId() {
		return factoryId;
	}

	public void setFactoryId(String factoryId) {
		this.factoryId = factoryId;
	}
	
	public ManagedLegacyConnector factoryId(String factoryIdValue) {
		this.setFactoryId(factoryIdValue);
		return this;
	}

	public String getRegisteredName() {
		return registeredName;
	}

	public void setRegisteredName(String registeredName) {
		this.registeredName = registeredName;
	};
	
	public ManagedLegacyConnector registeredName(String registeredNameValue) {
		this.setRegisteredName(registeredNameValue);
		return this;
	};

	public String getClassifier() {
		return classifier;
	}

	public void setClassifier(String classifier) {
		this.classifier = classifier;
	}

	public ManagedLegacyConnector classifier(String classifierValue) {
		this.setClassifier(classifierValue);
		return this;
	}

	public String getDisplayName() {
		return displayName;
	}

	public void setDisplayName(String displayName) {
		this.displayName = displayName;
	}

	public ManagedLegacyConnector displayName(String displayNameValue) {
		this.setDisplayName(displayNameValue);
		return this;
	}

	public String getDirection() {
		return direction;
	}

	public void setDirection(String direction) {
		this.direction = direction;
	}

	public ManagedLegacyConnector direction(String directionValue) {
		this.setDirection(directionValue);
		return this;
	}
}
